JBoss API: Class VerificationEvent

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.verifier.event
Class VerificationEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--org.jboss.verifier.event.VerificationEvent

All Implemented Interfaces:
  java.io.Serializable

public class VerificationEvent
extends java.util.EventObject

Since:
  JDK 1.3
Version:
  $Revision: 1.9 $
Author:
  Juha Lindfors (jplindfo@helsinki.fi)
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `OK`
`static java.lang.String` | `WARNING`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`VerificationEvent(VerificationEventGenerator source)`
`VerificationEvent(VerificationEventGenerator source, java.lang.String message)`

Method Summary
`java.lang.String` | `getMessage()`
`java.lang.String` | `getName()`
`java.lang.String` | `getVerbose()`
`boolean` | `isOk()`
`boolean` | `isWarning()`
`void` | `setMessage(java.lang.String msg)`
`void` | `setMethod(java.lang.reflect.Method method)`
`void` | `setName(java.lang.String name)`
`void` | `setSection(Section section)`
`void` | `setState(java.lang.String state)`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### WARNING

    public static final java.lang.String WARNING

### OK

    public static final java.lang.String OK

Constructor Detail

### VerificationEvent

    public VerificationEvent(VerificationEventGenerator source)

### VerificationEvent

    public VerificationEvent(VerificationEventGenerator source,
                             java.lang.String message)

Method Detail

### setState

    public void setState(java.lang.String state)

### isOk

    public boolean isOk()

### isWarning

    public boolean isWarning()

### setMessage

    public void setMessage(java.lang.String msg)

### setName

    public void setName(java.lang.String name)

### setSection

    public void setSection(Section section)

### setMethod

    public void setMethod(java.lang.reflect.Method method)

### getMessage

    public java.lang.String getMessage()

### getVerbose

    public java.lang.String getVerbose()

### getName

    public java.lang.String getName()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.